package com.willalp.canteen.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.TreeEntity;


/**
 * 就餐地对象 hs_canteen_dining_place
 *
 * @author songyu
 * @date 2022-01-07
 */


@TableName("hs_canteen_dining_place")
public class HsCanteenDiningPlace extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** 就餐地id */
    @TableId
    private Long placeId;

    /** 就餐地名称 */
    @Excel(name = "就餐地名称")
    private String placeName;

    @Excel(name = "位置编号")
    private String placeNumber;

    @Excel(name = "具体位置")
    private String placeSite;

    @Excel(name = "位置类型")
    private Integer placeType;

    @Excel(name = "经纬坐标")
    private String coordinate;

    /** 可容纳人数 */
    @Excel(name = "可容纳人数")
    private Integer maxMumOfPeople;

    /**
     * 地点图片地址
     */
    private String placeImgUrl;

    /** 详情 */
    @Excel(name = "详情")
    private String details;

    /** 机构代码 */
    @Excel(name = "机构代码")
    private String jgid;

    /** 是否删除（0.未删除；1.已删除） */
    @Excel(name = "是否删除", readConverterExp = "0=.未删除；1.已删除")
    @TableLogic
    private Integer isDelete;

    public Long getPlaceId() {
        return placeId;
    }

    public void setPlaceId(Long placeId) {
        this.placeId = placeId;
    }

    public String getPlaceName() {
        return placeName;
    }

    public void setPlaceName(String placeName) {
        this.placeName = placeName;
    }

    public String getJgid() {
        return jgid;
    }

    public void setJgid(String jgid) {
        this.jgid = jgid;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public String getPlaceNumber() {
        return placeNumber;
    }

    public void setPlaceNumber(String placeNumber) {
        this.placeNumber = placeNumber;
    }

    public String getPlaceSite() {
        return placeSite;
    }

    public void setPlaceSite(String placeSite) {
        this.placeSite = placeSite;
    }

    public Integer getPlaceType() {
        return placeType;
    }

    public void setPlaceType(Integer placeType) {
        this.placeType = placeType;
    }

    public String getCoordinate() {
        return coordinate;
    }

    public void setCoordinate(String coordinate) {
        this.coordinate = coordinate;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("HsCanteenDiningPlace{");
        sb.append("placeId=").append(placeId);
        sb.append(", placeName='").append(placeName).append('\'');
        sb.append(", placeNumber='").append(placeNumber).append('\'');
        sb.append(", placeSite='").append(placeSite).append('\'');
        sb.append(", placeType=").append(placeType);
        sb.append(", coordinate='").append(coordinate).append('\'');
        sb.append(", jgid='").append(jgid).append('\'');
        sb.append(", isDelete=").append(isDelete);
        sb.append(", parentId=").append(parentId);
        sb.append(", ancestors='").append(ancestors).append('\'');
        sb.append('}');
        return sb.toString();
    }

    @Override
    public String getId() {
        return String.valueOf(getPlaceId());
    }

    public String getDetails() {
        return details;
    }

    public void setDetails(String details) {
        this.details = details;
    }

    public Integer getMaxMumOfPeople() {
        return maxMumOfPeople;
    }

    public void setMaxMumOfPeople(Integer maxMumOfPeople) {
        this.maxMumOfPeople = maxMumOfPeople;
    }

    public String getPlaceImgUrl() {
        return placeImgUrl;
    }

    public void setPlaceImgUrl(String placeImgUrl) {
        this.placeImgUrl = placeImgUrl;
    }
}
